For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI Reference
HomeAPI Reference
    • Authentication
  • API Reference
      • GETList
Get supportSee a Demo
API ReferenceFiles

List

GET
/issuers/:organizationId/files
GET
/issuers/:organizationId/files
$curl -G https://rewards-api.getkard.com/issuers/%7BorganizationId%7D/files \
> -H "Authorization: Bearer <token>" \
> -d "page[size]=1" \
> -d fileType=usersEligibilityFile
1{
2 "data": [
3 {
4 "type": "usersEligibilityFile",
5 "attributes": {
6 "fileName": "users_offer_eligibility_2024-01-01.json.gz",
7 "lastModified": "2024-01-01T00:00:00Z",
8 "contentType": "application/gzip",
9 "downloadUrl": "downloadUrl-to-retrieve-file"
10 },
11 "id": "dXNlcnNfb2ZmZXJfZWxpZ2liaWxpdHlfMjAyNC0wMS0wMS5qc29uLmd6Cg=="
12 }
13 ],
14 "meta": {
15 "pageSize": 1
16 },
17 "links": {
18 "self": "/issuers/:organizationId/files?fileType=usersEligibilityFile&page[size]=1",
19 "first": "/issuers/:organizationId/files?fileType=usersEligibilityFile&page[size]=10&page[after]=some_pagination_token",
20 "next": "/issuers/:organizationId/files?page[size]=1"
21 }
22}

Retrieve file information for users eligibility and reconciliation files, along with file download URL links.
Required scopes: files.read

Was this page helpful?
Previous

Earned Reward Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your organization ID, provided by Kard.

Query parameters

page[size]integerOptional

Number of records to be returned [1-100], default is 10.

page[after]stringOptional
Cursor value to retrieve next page of results if provided. Value can be received from the 'links' section of previous API calls.
fileTypeenumRequired
The document file type.
Allowed values:

Response

This endpoint returns an object.
datalist of objects
Data and attributes related to files
metaobject
Meta information about the API call
linksobject
Related pagination links to the API call

Errors

400
Invalid Request
401
Unauthorized Error
404
Does Not Exist Error
500
Internal Server Error